# $Id: nag-h3.spec,v 1.2 2010/11/07 03:23:11 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd

Summary: The task list application for Horde.
Name: nag-h3
Version: 2.3.6
Release: 1%{?dist}
License: LGPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/nag/tarballs/nag-h3-%{version}.tar.gz
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/horde-root
AutoReq: no
Requires: horde >= 3.2
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Prereq: /usr/bin/perl

%description
Nag is the Horde task list application.  It stores todo items, things due
later this week, etc.  It is very similar in functionality to the Palm ToDo
application.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

This package contains customizations for SME Server
and will probably not work properly on other Linux systems.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/nag
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/nag
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/nag/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/nag
# Include top-level files by hand
%{contentdir}/html/horde/nag/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/nag/js
%{contentdir}/html/horde/nag/lib
%{contentdir}/html/horde/nag/locale
%{contentdir}/html/horde/nag/po
%{contentdir}/html/horde/nag/scripts
%{contentdir}/html/horde/nag/templates
%{contentdir}/html/horde/nag/themes
%{contentdir}/html/horde/nag/tasklists/
%{contentdir}/html/horde/nag/tasks/
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/nag/COPYING
%doc %{contentdir}/html/horde/nag/README
%docdir %{contentdir}/html/horde/nag/docs
%{contentdir}/html/horde/nag/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/nag/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/nag/config/.htaccess
%{contentdir}/html/horde/nag/config/*.dist
%config %{contentdir}/html/horde/nag/config/*.php
%config %{contentdir}/html/horde/nag/config/*.xml

%changelog
* Sat Nov 06 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.6-1
- Updated to Nag 2.3.6

* Mon May 10 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.5-1
- Updated to Nag 2.3.5

* Sun Dec 27 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.4-1
- Updated to Nag 2.3.4

* Sat Oct 10 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.3-1
- Updated to Nag 2.3.3

* Wed Jun 17 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.2-1
- Updated to Nag 2.3.2

* Sat Dec 06 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.1-1
- Updated to Nag 2.3.1

* Sun Sep 28 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.3-1
- Updated to Nag 2.3

* Mon Jun 2 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-1
- initial RPM roll for Nag 2.2
